/*******************************************************
//
//	Name: CBlockObject.h
//
//	Author: Dave Ratti
//
//	Date: 2-27-02
//
//	Modified: 2-27-02
//
//	Notes: Blocks. They get blown up.
//
//
//
*********************************************************/

#ifndef CBLOCK_OBJECT
#define CBLOCK_OBJECT

#include "CGameObject.h"
#include "CMap.h"
#include "STRINGC.h"
#include "CAnimation.h"


class CBlockObject: public CGameObject
{

public:

	CBlockObject();
	virtual ~CBlockObject();

	void Init(STRINGC fn, int x, int y);
	

	virtual void Update();
	virtual void Draw();
	virtual void Collision(CGameObject* obj);

	
	void	setBreakAble(bool b){ m_Breakable = b; };
	bool	getBreakAble(){ return m_Breakable; };
			
	
protected:

	CImage*			m_Img;		//Keep this simple for now. We can have animated blocks if we wanted. But not now.
	bool			m_Breakable;
	
	

	

};


#endif